{ pkgs ? import ./pinned-23.11.nix {} }:

rec {
  inherit pkgs;
  ghc = pkgs.haskell.compiler.ghc947;

  hsBuildInputs = [
    ghc
    pkgs.cabal-install
  ];
  pythonEnv = pkgs.python3.withPackages(ps: [
    ps.ipywidgets
    ps.pandas
    ps.tqdm
  ]);
  nonhsBuildInputs = with pkgs; [
    gmp
    jupyter
    pythonEnv
    zlib
  ];
  #libPaths = pkgs.lib.makeLibraryPath nonhsBuildInputs;
  shell = pkgs.mkShell {
    name = "openalex";
    buildInputs = nonhsBuildInputs;
  };
}
